.footer {
  height: 196px;
  position: relative;

  @media (--large-only) {
    padding: 0 20px;
  }

  @media (--medium) {
    height: auto;
    padding: 0 10px;
  }
}

.footer__background {
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 0;

  & svg {
    width: 100%;
    height: 100%;
  }

  @media (--medium) {
    display: none;
  }
}

.footer__container {
  z-index: 1;
  position: relative;
}

.footer__nav {
  height: 146px;
  display: flex;
  padding-top: 40px;
  align-items: center;
  justify-content: space-between;

  @media (--medium) {
    height: auto;
    display: block;
  }
}

.footer__nav-list {
  margin: 0;
  padding: 0;
  display: flex;
  list-style: none;

  @media (--medium) {
    display: block;
  }
}

.footer__nav-list-item {
  &:not(:last-child) {
    margin-right: 40px;
  }

  @media (--medium) {
    text-align: center;
    margin-bottom: 20px;

    &:not(:last-child) {
      margin-right: 0;
    }
  }

  & a {
    color: #faead3;
    font-size: 35px;
    line-height: 1;
    text-decoration: none;
    transition: color 0.3s ease 0s;
    will-change: color;

    &:hover {
      color: #990000;
    }

    @media (--large-only) {
      font-size: 28px;
    }

    @media (--medium) {
      font-size: 20px;
    }
  }
}

.footer__nav-social-list {
  margin: 0;
  padding: 0;
  display: flex;
  list-style: none;

  @media (--medium) {
    justify-content: center;
    margin: 30px 0 25px;
  }
}

.footer__nav-social-list-item {
  &:not(:last-child) {margin-right: 10px;}
  & a {text-decoration: none;}
  & svg {
    fill: #990000;
    transition: fill 0.3s ease 0s;
    will-change: fill;

    &:hover {
      fill: #faead3;
    }
  }

  & a,
  & svg {
    display: block;
    width: 32px;
    height: 32px;
  }
}

.footer__info {
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-top: 1px solid rgba(250, 234, 211, 0.15);
  border-bottom: 1px solid rgba(250, 234, 211, 0.15);

  & small,
  & a {
    color: #5c5c5c;
    font-size: 12px;
    line-height: 8px;
    text-decoration: none;
  }

  & a {
    border-bottom: 1px solid transparent;
    transition: border-bottom-color 0.3s ease 0s;
    will-change: border-bottom-color;

    &:hover {
      border-bottom-color: #5c5c5c;
    }
  }

  @media (--medium) {
    height: auto;
    display: block;
    padding: 15px 0;
    text-align: center;

    & a,
    & small {
      display: block;
      line-height: 15px;

      &:not(:last-child) {
        margin-bottom: 10px;
      }
    }
  }
}
